The IValueChangedEvent is the parent interface to all events fired by individual model elements when their data changes.

### Hierarchy

- IConvergenceModelValueEvent
  - IValueChangedEvent

### Implemented by

- ArrayInsertEvent
- ArrayRemoveEvent
- ArrayReorderEvent
- ArraySetEvent
- ArraySetValueEvent
- BooleanSetValueEvent
- DateSetValueEvent
- NumberDeltaEvent
- NumberSetValueEvent
- ObjectRemoveEvent
- ObjectSetEvent
- ObjectSetValueEvent
- StringInsertEvent
- StringRemoveEvent
- StringSetValueEvent

## Index

### Properties

- element
- local
- name
- sessionId
- user

## Properties

### element

element: ObservableElement<any>

Inherited from IConvergenceModelValueEvent.element

The RealTimeElement or HistoricalElement whose contents changed.

### local

local: boolean

Inherited from IConvergenceModelValueEvent.local

True if the change occurred locally (within the current session)

### name

name: string

Inherited from IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### sessionId

sessionId: string

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

The user which performed the modification